XnLogTypes.h File Reference
`#include "XnPlatform.h"`
`#include "XnTypes.h"`

Go to the source code of this file.

## Classes

struct | XnLogger
struct | XnLogEntry
struct | XnLogWriter

## Macros

#define | XN_LOG_DIR_NAME "Log"
#define | XN_MASK_LOG "Log"
#define | XN_LOG_MASK_ALL "ALL"
#define | XN_LOG_MAX_MASK_NAME 16

## Typedefs

typedef enum XnLogSeverity | XnLogSeverity
typedef struct XnLogger | XnLogger
typedef struct XnLogEntry | XnLogEntry
typedef struct XnLogWriter | XnLogWriter

## Enumerations

enum | XnLogSeverity { XN_LOG_VERBOSE = 0 , XN_LOG_INFO = 1 , XN_LOG_WARNING = 2 , XN_LOG_ERROR = 3 , XN_LOG_SEVERITY_NONE = 10 }

## Macro Definition Documentation

## XN_LOG_DIR_NAME

#define XN_LOG_DIR_NAME "Log"

## XN_LOG_MASK_ALL

#define XN_LOG_MASK_ALL "ALL"

## XN_LOG_MAX_MASK_NAME

#define XN_LOG_MAX_MASK_NAME 16

## XN_MASK_LOG

#define XN_MASK_LOG "Log"

## Typedef Documentation

## XnLogEntry

typedef struct XnLogEntry XnLogEntry

## XnLogger

typedef struct XnLogger XnLogger

## XnLogSeverity

typedef enum XnLogSeverity XnLogSeverity

## XnLogWriter

typedef struct XnLogWriter XnLogWriter

## Enumeration Type Documentation

## XnLogSeverity

enum XnLogSeverity

Enumerator
XN_LOG_VERBOSE |
XN_LOG_INFO |
XN_LOG_WARNING |
XN_LOG_ERROR |
XN_LOG_SEVERITY_NONE |